Extending Qt Creator Manual | JsonWizardGeneratorFactory

Extending Qt Creator Manual 4.5.2

# JsonWizardGeneratorFactory Class

(ProjectExplorer::JsonWizardGeneratorFactory)

- List of all members, including inherited members

## Public Functions

bool | canCreate(Core::Id typeId) const
virtual JsonWizardGenerator * | create(Core::Id typeId, const QVariant &data, const QString &path, Core::Id platform, const QVariantMap &variables) = 0
QList<Core::Id> | supportedIds() const
virtual bool | validateData(Core::Id typeId, const QVariant &data, QString *errorMessage) = 0

## Protected Functions

void | setTypeIdsSuffix(const QString &suffix)
void | setTypeIdsSuffixes(const QStringList &suffixes)

## Member Function Documentation

### bool JsonWizardGeneratorFactory::canCreate(Core::Id typeId) const

### `[pure virtual]` JsonWizardGenerator *JsonWizardGeneratorFactory::create(Core::Id typeId, const QVariant &data, const QString &path, Core::Id platform, const QVariantMap &variables)

### `[protected]` void JsonWizardGeneratorFactory::setTypeIdsSuffix(const QString &suffix)

### `[protected]` void JsonWizardGeneratorFactory::setTypeIdsSuffixes(const QStringList &suffixes)

### QList<Core::Id> JsonWizardGeneratorFactory::supportedIds() const

### `[pure virtual]` bool JsonWizardGeneratorFactory::validateData(Core::Id typeId, const QVariant &data, QString *errorMessage)